* [gentoo-commits] proj/kde:master commit in: x11-misc/xdg-desktop-portal/
@ 2018-12-16 21:28 Andreas Sturmlechner
0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2018-12-16 21:28 UTC (permalink / raw
To: gentoo-commits
commit: da83d3b1c740e1defa65a70c870ca6d550ad20b0
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 16 21:14:49 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 16 21:19:19 2018 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=da83d3b1
x11-misc/xdg-desktop-portal: New package
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
x11-misc/xdg-desktop-portal/metadata.xml | 8 +++++
.../xdg-desktop-portal-1.0.3.ebuild | 39 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/x11-misc/xdg-desktop-portal/metadata.xml b/x11-misc/xdg-desktop-portal/metadata.xml
new file mode 100644
index 0000000000..2fdbf33d96
--- /dev/null
+++ b/x11-misc/xdg-desktop-portal/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>kde@gentoo.org</email>
+ <name>Gentoo KDE Project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild b/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild
new file mode 100644
index 0000000000..b65056f5a4
--- /dev/null
+++ b/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd
+
+DESCRIPTION="Desktop integration portal"
+HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal"
+SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+ dev-libs/glib:2[dbus]
+ sys-fs/fuse
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/gdbus-codegen
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? (
+ app-text/xmlto
+ app-text/docbook-xml-dtd:4.3
+ )
+"
+
+src_configure() {
+ local myeconfargs=(
+ --disable-pipewire
+ $(use_enable doc docbook-docs)
+ --with-systemduserunitdir="$(systemd_get_userunitdir)"
+ )
+ econf "${myeconfargs[@]}"
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/kde:master commit in: x11-misc/xdg-desktop-portal/
@ 2019-02-17 11:11 Andreas Sturmlechner
0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2019-02-17 11:11 UTC (permalink / raw
To: gentoo-commits
commit: 175c8d029565cc371536409f022efe2f2c92d8b3
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 17 11:10:10 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 17 11:10:10 2019 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=175c8d02
x11-misc/xdg-desktop-portal: Drop 1.0.3
Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../xdg-desktop-portal-1.0.3.ebuild | 39 ----------------------
1 file changed, 39 deletions(-)
diff --git a/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild b/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild
deleted file mode 100644
index 5e01a3dffa..0000000000
--- a/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.0.3.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit systemd
-
-DESCRIPTION="Desktop integration portal"
-HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal"
-SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-RDEPEND="
- dev-libs/glib:2[dbus]
- sys-fs/fuse
-"
-DEPEND="${RDEPEND}"
-BDEPEND="
- dev-util/gdbus-codegen
- sys-devel/gettext
- virtual/pkgconfig
- doc? (
- app-text/xmlto
- app-text/docbook-xml-dtd:4.3
- )
-"
-
-src_configure() {
- local myeconfargs=(
- --disable-pipewire
- $(use_enable doc docbook-docs)
- --with-systemduserunitdir="$(systemd_get_userunitdir)"
- )
- econf "${myeconfargs[@]}"
-}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/kde:master commit in: x11-misc/xdg-desktop-portal/
@ 2019-02-17 11:11 Andreas Sturmlechner
0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2019-02-17 11:11 UTC (permalink / raw
To: gentoo-commits
commit: a7a03fdd41da7cdc8cde7d822676f5568480c9bb
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 17 10:40:50 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 17 11:09:35 2019 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=a7a03fdd
x11-misc/xdg-desktop-portal: 1.2.0 version bump, add USE geoclue
Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../xdg-desktop-portal-1.2.0.ebuild | 47 ++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild b/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild
new file mode 100644
index 0000000000..90099e8c1c
--- /dev/null
+++ b/x11-misc/xdg-desktop-portal/xdg-desktop-portal-1.2.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="Desktop integration portal"
+HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal"
+SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc geolocation"
+
+BDEPEND="
+ dev-util/gdbus-codegen
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? (
+ app-text/xmlto
+ app-text/docbook-xml-dtd:4.3
+ )
+"
+DEPEND="
+ dev-libs/glib:2[dbus]
+ sys-fs/fuse:0
+ geolocation? ( app-misc/geoclue:2.0 )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -e "/^PKG_CHECK_MODULES(FLATPAK/s/^/# DONT /" -i configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-pipewire
+ --with-systemduserunitdir="$(systemd_get_userunitdir)"
+ $(use_enable doc docbook-docs)
+ $(use_enable geolocation geoclue)
+ )
+ econf "${myeconfargs[@]}"
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2019-02-17 11:11 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-02-17 11:11 [gentoo-commits] proj/kde:master commit in: x11-misc/xdg-desktop-portal/ Andreas Sturmlechner
-- strict thread matches above, loose matches on Subject: below --
2019-02-17 11:11 Andreas Sturmlechner
2018-12-16 21:28 Andreas Sturmlechner
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox